import { UniqueBackendIdentifier } from '@aws-amplify/plugin-types';
export type DeployProps = {
    hotswapFallback?: boolean;
    method?: 'direct';
};
/**
 * Invokes an invokable command
 */
export interface BackendDeployer {
    deploy: (uniqueBackendIdentifier?: UniqueBackendIdentifier, deployProps?: DeployProps) => Promise<void>;
    destroy: (uniqueBackendIdentifier?: UniqueBackendIdentifier) => Promise<void>;
}
/**
 * Factory to create a backend deployer
 */
export declare class BackendDeployerFactory {
    private static instance;
    /**
     * Returns a single instance of BackendDeployer
     */
    static getInstance(): BackendDeployer;
}
//# sourceMappingURL=cdk_deployer_singleton_factory.d.ts.map